FLTK: Fl_Xlib_Graphics_Driver Class Reference

FLTK

Public Member Functions | Static Public Attributes | List of all members
Fl_Xlib_Graphics_Driver Class Reference

The Xlib-specific graphics class. More...

`#include <Fl_Device.H>`

Inheritance diagram for Fl_Xlib_Graphics_Driver:

## Public Member Functions
const char * | class_name ()
| Returns the name of the class of this object. More...
void | color (Fl_Color c)
| see fl_color(Fl_Color c).
void | color (uchar r, uchar g, uchar b)
| see fl_color(uchar r, uchar g, uchar b).
void | copy_offscreen (int x, int y, int w, int h, Fl_Offscreen pixmap, int srcx, int srcy)
| see fl_copy_offscreen()
int | descent ()
| see fl_descent().
void | draw (const char *str, int n, int x, int y)
| see fl_draw(const char *str, int n, int x, int y).
void | draw (Fl_Bitmap *pxm, int XP, int YP, int WP, int HP, int cx, int cy)
| Draws an Fl_Bitmap object to the device. More...
void | draw (Fl_Pixmap *pxm, int XP, int YP, int WP, int HP, int cx, int cy)
| Draws an Fl_Pixmap object to the device. More...
void | draw (Fl_RGB_Image *img, int XP, int YP, int WP, int HP, int cx, int cy)
| Draws an Fl_RGB_Image object to the device. More...
void | draw (int angle, const char *str, int n, int x, int y)
| see fl_draw(int angle, const char *str, int n, int x, int y).
void | draw_image (const uchar *buf, int X, int Y, int W, int H, int D=3, int L=0)
| see fl_draw_image(const uchar* buf, int X,int Y,int W,int H, int D, int L).
void | draw_image (Fl_Draw_Image_Cb cb, void *data, int X, int Y, int W, int H, int D=3)
| see fl_draw_image(Fl_Draw_Image_Cb cb, void* data, int X,int Y,int W,int H, int D).
void | draw_image_mono (const uchar *buf, int X, int Y, int W, int H, int D=1, int L=0)
| see fl_draw_image_mono(const uchar* buf, int X,int Y,int W,int H, int D, int L).
void | draw_image_mono (Fl_Draw_Image_Cb cb, void *data, int X, int Y, int W, int H, int D=1)
| see fl_draw_image_mono(Fl_Draw_Image_Cb cb, void* data, int X,int Y,int W,int H, int D).
void | font (Fl_Font face, Fl_Fontsize size)
| see fl_font(Fl_Font face, Fl_Fontsize size).
int | height ()
| see fl_height().
void | rtl_draw (const char *str, int n, int x, int y)
| see fl_rtl_draw(const char *str, int n, int x, int y).
void | text_extents (const char *, int n, int &dx, int &dy, int &w, int &h)
| see fl_text_extents(const char*, int n, int& dx, int& dy, int& w, int& h).
double | width (const char *str, int n)
| see fl_width(const char *str, int n).
double | width (unsigned int c)
| see fl_width(unsigned int n).
Public Member Functions inherited from Fl_Graphics_Driver
Fl_Color | color ()
| see fl_color(void).
virtual int | draw_scaled (Fl_Image *img, int X, int Y, int W, int H)
| Draws an Fl_Image scaled to width `W` & height `H` with top-left corner at X,Y. More...
Fl_Font | font ()
| see fl_font(void).
Fl_Font_Descriptor * | font_descriptor ()
| Returns a pointer to the current Fl_Font_Descriptor for the graphics driver.
void | font_descriptor (Fl_Font_Descriptor *d)
| Sets the current Fl_Font_Descriptor for the graphics driver.
Fl_Fontsize | size ()
| see fl_size().
virtual | ~Fl_Graphics_Driver ()
| The destructor.
Public Member Functions inherited from Fl_Device
virtual | ~Fl_Device ()
| Virtual destructor. More...

## Static Public Attributes
static const char * | class_id = "Fl_Xlib_Graphics_Driver"
Static Public Attributes inherited from Fl_Graphics_Driver
static const char * | class_id = "Fl_Graphics_Driver"
Static Public Attributes inherited from Fl_Device
static const char * | class_id = "Fl_Device"
| A string that identifies each subclass of Fl_Device. More...

## Additional Inherited Members
Protected Member Functions inherited from Fl_Graphics_Driver
virtual void | arc (double x, double y, double r, double start, double end)
| see fl_arc(double x, double y, double r, double start, double end).
virtual void | arc (int x, int y, int w, int h, double a1, double a2)
| see fl_arc(int x, int y, int w, int h, double a1, double a2).
virtual void | begin_complex_polygon ()
| see fl_begin_complex_polygon().
virtual void | begin_line ()
| see fl_begin_line().
virtual void | begin_loop ()
| see fl_begin_loop().
virtual void | begin_points ()
| see fl_begin_points().
virtual void | begin_polygon ()
| see fl_begin_polygon().
virtual void | circle (double x, double y, double r)
| see fl_circle(double x, double y, double r).
virtual int | clip_box (int x, int y, int w, int h, int &X, int &Y, int &W, int &H)
| see fl_clip_box(int x, int y, int w, int h, int &X, int &Y, int &W, int &H).
Fl_Region | clip_region ()
| see fl_clip_region().
void | clip_region (Fl_Region r)
| see fl_clip_region(Fl_Region r).
virtual void | curve (double X0, double Y0, double X1, double Y1, double X2, double Y2, double X3, double Y3)
| see fl_curve(double X0, double Y0, double X1, double Y1, double X2, double Y2, double X3, double Y3).
virtual void | end_complex_polygon ()
| see fl_end_complex_polygon().
virtual void | end_line ()
| see fl_end_line().
virtual void | end_loop ()
| see fl_end_loop().
virtual void | end_points ()
| see fl_end_points().
virtual void | end_polygon ()
| see fl_end_polygon().
| Fl_Graphics_Driver ()
| The constructor.
virtual void | gap ()
| see fl_gap().
virtual void | line (int x, int y, int x1, int y1)
| see fl_line(int x, int y, int x1, int y1).
virtual void | line (int x, int y, int x1, int y1, int x2, int y2)
| see fl_line(int x, int y, int x1, int y1, int x2, int y2).
virtual void | line_style (int style, int width=0, char *dashes=0)
| see fl_line_style(int style, int width, char* dashes).
virtual void | loop (int x0, int y0, int x1, int y1, int x2, int y2)
| see fl_loop(int x0, int y0, int x1, int y1, int x2, int y2).
virtual void | loop (int x0, int y0, int x1, int y1, int x2, int y2, int x3, int y3)
| see fl_loop(int x0, int y0, int x1, int y1, int x2, int y2, int x3, int y3).
void | mult_matrix (double a, double b, double c, double d, double x, double y)
| see fl_mult_matrix(double a, double b, double c, double d, double x, double y).
virtual int | not_clipped (int x, int y, int w, int h)
| see fl_not_clipped(int x, int y, int w, int h).
virtual void | pie (int x, int y, int w, int h, double a1, double a2)
| see fl_pie(int x, int y, int w, int h, double a1, double a2).
virtual void | point (int x, int y)
| see fl_point(int x, int y).
virtual void | polygon (int x0, int y0, int x1, int y1, int x2, int y2)
| see fl_polygon(int x0, int y0, int x1, int y1, int x2, int y2).
virtual void | polygon (int x0, int y0, int x1, int y1, int x2, int y2, int x3, int y3)
| see fl_polygon(int x0, int y0, int x1, int y1, int x2, int y2, int x3, int y3).
virtual void | pop_clip ()
| see fl_pop_clip().
void | pop_matrix ()
| see fl_pop_matrix().
virtual void | push_clip (int x, int y, int w, int h)
| see fl_push_clip(int x, int y, int w, int h).
void | push_matrix ()
| see fl_push_matrix().
virtual void | push_no_clip ()
| see fl_push_no_clip().
virtual void | rect (int x, int y, int w, int h)
| see fl_rect(int x, int y, int w, int h).
virtual void | rectf (int x, int y, int w, int h)
| see fl_rectf(int x, int y, int w, int h).
void | restore_clip ()
| see fl_restore_clip().
void | rotate (double d)
| see fl_rotate(double d).
void | scale (double x)
| see fl_scale(double x).
void | scale (double x, double y)
| see fl_scale(double x, double y).
double | transform_dx (double x, double y)
| see fl_transform_dx(double x, double y).
double | transform_dy (double x, double y)
| see fl_transform_dy(double x, double y).
double | transform_x (double x, double y)
| see fl_transform_x(double x, double y).
double | transform_y (double x, double y)
| see fl_transform_y(double x, double y).
virtual void | transformed_vertex (double xf, double yf)
| see fl_transformed_vertex(double xf, double yf).
void | translate (double x, double y)
| see fl_translate(double x, double y).
virtual void | vertex (double x, double y)
| see fl_vertex(double x, double y).
virtual void | xyline (int x, int y, int x1)
| see fl_xyline(int x, int y, int x1).
virtual void | xyline (int x, int y, int x1, int y2)
| see fl_xyline(int x, int y, int x1, int y2).
virtual void | xyline (int x, int y, int x1, int y2, int x3)
| see fl_xyline(int x, int y, int x1, int y2, int x3).
virtual void | yxline (int x, int y, int y1)
| see fl_yxline(int x, int y, int y1).
virtual void | yxline (int x, int y, int y1, int x2)
| see fl_yxline(int x, int y, int y1, int x2).
virtual void | yxline (int x, int y, int y1, int x2, int y3)
| see fl_yxline(int x, int y, int y1, int x2, int y3).
Protected Attributes inherited from Fl_Graphics_Driver
matrix * | fl_matrix
| Points to the current coordinate transformation matrix.

## Detailed Description

The Xlib-specific graphics class.

This class is implemented only on the Xlib platform.

## Member Function Documentation

## ◆ class_name()

const char* Fl_Xlib_Graphics_Driver::class_name | ( |  | ) |
| inlinevirtual

Returns the name of the class of this object.

Use of the class_name() function is discouraged because it will be removed from future FLTK versions.

The class of an instance of an Fl_Device subclass can be checked with code such as:

if ( instance->class_name() == Fl_Printer::class_id ) { ... }

Reimplemented from Fl_Graphics_Driver.

## ◆ draw() [1/3]

void Fl_Xlib_Graphics_Driver::draw | ( | Fl_Bitmap * | bm,
|  | int | XP,
|  | int | YP,
|  | int | WP,
|  | int | HP,
|  | int | cx,
|  | int | cy
| ) |  |
| virtual

Draws an Fl_Bitmap object to the device.

Specifies a bounding box for the image, with the origin (upper left-hand corner) of the image offset by the cx and cy arguments.

Reimplemented from Fl_Graphics_Driver.

## ◆ draw() [2/3]

void Fl_Xlib_Graphics_Driver::draw | ( | Fl_Pixmap * | pxm,
|  | int | XP,
|  | int | YP,
|  | int | WP,
|  | int | HP,
|  | int | cx,
|  | int | cy
| ) |  |
| virtual

Draws an Fl_Pixmap object to the device.

Specifies a bounding box for the image, with the origin (upper left-hand corner) of the image offset by the cx and cy arguments.

Reimplemented from Fl_Graphics_Driver.

## ◆ draw() [3/3]

void Fl_Xlib_Graphics_Driver::draw | ( | Fl_RGB_Image * | rgb,
|  | int | XP,
|  | int | YP,
|  | int | WP,
|  | int | HP,
|  | int | cx,
|  | int | cy
| ) |  |
| virtual

Draws an Fl_RGB_Image object to the device.

Specifies a bounding box for the image, with the origin (upper left-hand corner) of the image offset by the cx and cy arguments.

Reimplemented from Fl_Graphics_Driver.

The documentation for this class was generated from the following files:

- Fl_Device.H
- Fl_Bitmap.cxx
- fl_color.cxx
- Fl_Device.cxx
- fl_draw_image.cxx
- Fl_Image.cxx
- Fl_Pixmap.cxx

- © 1998-2016 by Bill Spitzak and others.